using System.Collections.Generic;
using SepehrHotelApiSampleClient.Booking.Book.WinForms.InMemoryDatabase.FailedRequests.Model;

namespace SepehrHotelApiSampleClient.Booking.Book.WinForms.InMemoryDatabase.FailedRequests.Repository
{
    public class FailedRequestRepository
    {
        private static readonly List<FailedRequest> FailedRequestList = new List<FailedRequest>();

        public static void Add(FailedRequest failedRequest)
        {
            FailedRequestList.Add(failedRequest);
        }

        public static List<FailedRequest> GetAll()
        {
            return FailedRequestList;
        }
    }
}
